package sentio

import "time"

type Order interface {
	Market() string
	AccountId() string
	GetId() string

	GetCreatedAt() time.Time
	GetUpdatedAt() time.Time

	// HasReplacedBy The order ID that this order was replaced by
	HasReplacedBy() *string

	// HasReplaced The order ID that this order replaces
	HasReplaced() *string

	// GetLegs an array of Order entities associated with this order
	GetLegs() []Order
	GetStopLoss() Order
	GetTakeProfit() Order

	GetSymbol() string
	GetAction() OrderAction
	GetTimeInForce() TimeInForce
	GetSize() float64

	GetEntryPrice() float64
	GetExitPrice() float64

	GetLimitPrice() float64
	GetStopPrice() float64

	GetPnL() float64
	GetCurrency() string
	GetStatus() string
}
